﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using KandaAlpha.Application.Interfaces;
using KandaAlpha.Domain.Repository;
using KandaAlpha.Domain.Model.Entities;
using Microsoft.Practices.ServiceLocation;

namespace KandaAlpha.Application.Impl
{
    public class UnitOfWorkFactory : IUnitOfWorkFactory
    {
        public IUnitOfWork Create()
        {
            return ServiceLocator.Current.GetInstance<IUnitOfWork>();
        }
        
    }
}
