﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using KandaAlpha.Domain.Model.ValueObjects;

namespace KandaAlpha.Domain.Model.Entities
{
    public abstract class EntityBase
    {
        private Timestamp _timestamp = new Timestamp();

        public int ID { get; set; }
        public Timestamp Timestamp 
        {
            get 
            {
                if (_timestamp == null)
                {
                    _timestamp = new Timestamp() { };
                }
                return _timestamp;
            }
            set {_timestamp = value;}
        }
    }
}

