﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using KandaAlpha.Domain.Model.Proposed.ValueObjects;
using KandaAlpha.Domain.Model.Proposed.Interfaces;

namespace KandaAlpha.Domain.Model.Proposed.Entities
{
    public class ListingCategory : Classifier, IHttpResource
    {
        public string Title { get; set; }
        public string FriendlyUrl { get; set; }
        public Metatags Metatags { get; set; }
        public List<Listing> Listings { get; set; }
        public List<FieldInstance> Form { get; set; }

    }
}
