﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Expressions;
using KandaAlpha.Domain.Model.Entities;
using KandaAlpha.Domain.Repository;

namespace KandaAlpha.Infrastructure.Repository.db4o
{
    public class CustomerRepository : GenericRepository<Customer>, ICustomerRepository
    {

        public CustomerRepository(IObjectContainerManager objectContainerManager) : base(objectContainerManager)
        {

        }

        public Customer GetBestCustomer()
        {
            return this.GetQuery().Where(c => c.FirstName == "Keith" && c.LastName == "Patton").FirstOrDefault();
        }

    }
}
