﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using KandaAlpha.Application.Interfaces;
using KandaAlpha.Domain.Repository;
using KandaAlpha.Domain.Model.Entities;

namespace KandaAlpha.UI.Mvc.Tests
{
    public class CustomerService : EntityService<Customer>, ICustomerService
    {
        private ICustomerRepository _customerRepository;

        public CustomerService(ICustomerRepository customerRepository): base(customerRepository)
        {
            _customerRepository = customerRepository;
        }

        public Customer GetBestCustomer()
        {
            return _customerRepository.GetBestCustomer();
        }

    }
}
