﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<KandaAlpha.UI.Mvc.Models.ClassifierViewData>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	<%= Html.Encode(Model.Title) %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2><%= Html.Encode(Model.Title)%></h2>

    <%= Html.ValidationSummary("Edit was unsuccessful. Please correct the errors and try again.") %>

    <% using (Html.BeginForm()) {%>

        <fieldset>
            <legend>Fields</legend>
            <p>
                <label for="ClassifierRef">ClassifierRef:</label>
                <%= Html.TextBox("ClassifierRef", Model.Classifier.ClassifierRef) %>
                <%= Html.ValidationMessage("ClassifierRef", "*") %>
            </p>
            <p>
                <label for="ClassifierName">ClassifierName:</label>
                <%= Html.TextBox("ClassifierName", Model.Classifier.ClassifierName)%>
                <%= Html.ValidationMessage("ClassifierName", "*") %>
            </p>
            <p>
                <label for="ClassifierDescription">ClassifierDescription:</label>
                <%= Html.TextBox("ClassifierDescription", Model.Classifier.ClassifierDescription)%>
                <%= Html.ValidationMessage("ClassifierDescription", "*") %>
            </p>
            <p>
                <label for="SortOrder">SortOrder:</label>
                <%= Html.TextBox("SortOrder", Model.Classifier.SortOrder)%>
                <%= Html.ValidationMessage("SortOrder", "*") %>
            </p>
            <p>
                <label for="Depth">Depth:</label>
                <%= Html.TextBox("Depth", Model.Classifier.Depth)%>
                <%= Html.ValidationMessage("Depth", "*") %>
            </p>
            <p>
                <label for="ID">ID:</label>
                <%= Html.TextBox("ID", Model.Classifier.ID)%>
                <%= Html.ValidationMessage("ID", "*") %>
            </p>
            <p>
                <input type="submit" value="Save" />
            </p>
        </fieldset>

    <% } %>

    <div>
        <%=Html.ActionLink("Back to List", "Index") %>
    </div>

</asp:Content>

