﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<KandaAlpha.UI.Mvc.Models.ClassifierViewData>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	<%= Html.Encode(Model.Title) %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2><%= Html.Encode(Model.Title) %></h2>

    <table>
        <tr>
            <th></th>
            <th>
                ClassifierRef
            </th>
            <th>
                ClassifierName
            </th>
            <th>
                ClassifierDescription
            </th>
            <th>
                SortOrder
            </th>
            <th>
                Depth
            </th>
            <th>
                ID
            </th>
        </tr>

    <% foreach (var item in Model.Classifiers) { %>
    
        <tr>
            <td>
                <%= Html.ActionLink("Edit", "Edit", new {  id=item.ID  }) %> |
                <%= Html.ActionLink("Details", "Details", new { id = item.ID })%>
            </td>
            <td>
                <%= Html.Encode(item.ClassifierRef) %>
            </td>
            <td>
                <%= Html.Encode(item.ClassifierName) %>
            </td>
            <td>
                <%= Html.Encode(item.ClassifierDescription) %>
            </td>
            <td>
                <%= Html.Encode(item.SortOrder) %>
            </td>
            <td>
                <%= Html.Encode(item.Depth) %>
            </td>
            <td>
                <%= Html.Encode(item.ID) %>
            </td>
        </tr>
    
    <% } %>

    </table>

    <p>
        <%= Html.ActionLink("Create New", "Create") %>
    </p>

</asp:Content>

