﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<HomeViewData>" %>

<asp:Content ID="indexTitle" ContentPlaceHolderID="TitleContent" runat="server">
    Home Page
</asp:Content>

<asp:Content ID="indexContent" ContentPlaceHolderID="MainContent" runat="server">
    <h2><%= Html.Encode(Model.Title) %></h2>
    <table>
    <tr>
        <td>
            <strong>Name</strong>
        </td>
        <td>
            <strong>Email Address</strong>
        </td>
        <td>
            <strong>Last Updated On</strong>
        </td>        
    </tr>
    <% foreach (var customer in Model.Customers)
       { %>
    <tr>
        <td>
            <%= customer.ID%>
        </td>
        <td>
            <%=customer.FullName%>
        </td>  
            <td>
            <%=customer.Timestamp.LastModifiedOn.ToString()%>
        </td>          
    </tr>
    <% } %>
    </table>

</asp:Content>
