﻿using System;
using System.Collections.Generic;


namespace KandaAlpha.Domain.Model.Entities
{
    public class Customer : EntityBase
    {
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string FullName
        {
            get
            {
                return FirstName + " " + LastName;
            }
        }
        public virtual List<Order> Orders {get; set;}
    }
}
