﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using KandaAlpha.Domain.Model.Proposed.ValueObjects;

namespace KandaAlpha.Domain.Model.Proposed.Entities
{
    public class FieldInstance : EntityBase
    {
        public string FieldInstanceName { get; set; }
        public string Label { get; set; }
        public string HelpText { get; set; }
        public bool IsFilter { get; set; }
        public bool IsRequired { get; set; }
        public bool IsNavigation { get; set; }

        public FieldType FieldType { get; set; }
        public List<FieldInstanceOption> FieldInstanceOptions { get; set; }
    }
}
