﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using KandaAlpha.Domain.Model.Proposed.Interfaces;
using KandaAlpha.Domain.Model.Proposed.ValueObjects; 

namespace KandaAlpha.Domain.Model.Proposed.Entities
{
    public abstract class Location : EntityBase, IHierarchical<Location>
    {
        public string Name { get; set; }

        #region IHierarchy<Location> Members

        public Location Parent { get; set; }

        public List<Location> Children { get; set; }

        #endregion

        public Coordinates Coordinates { get; set; }
    }
}
