﻿using System;
using System.Linq;
using System.Linq.Expressions;
using KandaAlpha.Domain.Model.Entities;
using KandaAlpha.Domain.Repository;

namespace KandaAlpha.Infrastructure.Repository.EF
{
    public class CustomerRepository : GenericRepository<Customer>, ICustomerRepository
    {

        public Customer GetBestCustomer()
        {
            return this.GetQuery().Where(c => c.FirstName == "Keith" && c.LastName == "Patton").FirstOrDefault();
        }

    }
}
