﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using KandaAlpha.Domain.Repository;
using KandaAlpha.Application.Interfaces;

namespace KandaAlpha.UI.Mvc.Tests
{
    public class ApplicationService : IApplicationService
    {
        IUnitOfWorkFactory IApplicationService.GetUnitOfWorkFactory()
        {
            return new UnitOfWorkFactory();
        }

        ICustomerService IApplicationService.GetCustomerService()
        {
            return new CustomerService(new CustomerRepository());
        }

        IClassifierService IApplicationService.GetClassifierService()
        {
            throw new NotImplementedException("not done yet");
        }
    }
}
